CNFSSTAT(8)

NAME
cnfsstat - show usage of cycbuffs

SYNOPSIS
cnfsstat [ -a ] [ -c CLASS ] [ -h ] [ -l [ seconds ] ] [ -m BUFFER ] [ -P ] [ -p ] [ -s ]

DESCRIPTION
Cnfsstat reads <pathetc in inn.conf>/cycbuff.conf and <pathetc in inn.conf>/storage.conf to determine which cycbuffs are available, read the specified cycbuffs, and shows their usage status.

Cnfsstat can be invoked from rc.news(8), if <docnfsstat in inn.conf> is ``true'', and the result is written to syslog(3).

OPTIONS

-a  Cnfsstat prints also the age of the oldest article in the cycbuff.

-c CLASS
    Cnfsstat prints information only for the specified class.

-h  Cnfsstat prints usage information.

-l [ seconds ]
    Cnfsstat prints a status snapshot every seconds, and only exits if there is an error. The default interval is 600 seconds.

-m BUFFER
    Cnfsstat prints information about the specified buffer in a format suitable for mrtg.

-P  Cnfsstat writes PID into <pathrun in inn.conf>/cnfsstat.pid.

-p  Cnfsstat prints an mrtg config file.

-s  Cnfsstat writes output to syslog(3) instead of standard output.

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews.

SEE ALSO
cycbuff.conf(5), inn.conf(5), rc.news(8), storage.conf(5).